> ## Documentation Index
> Fetch the complete documentation index at: https://layerswaplabsv0-main-depositactionsguide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Networks

> Retrieves a list of available networks with their tokens.



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json get /api/v2/networks
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/networks:
    get:
      tags:
        - Swaps
      summary: Get Networks
      description: Retrieves a list of available networks with their tokens.
      parameters:
        - name: network_types
          in: query
          schema:
            type: array
            items:
              $ref: '#/components/schemas/NetworkType'
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseListNetworkWithTokensModel'
components:
  schemas:
    NetworkType:
      enum:
        - evm
        - starknet
        - solana
        - cosmos
        - starkex
        - zksynclite
        - ton
        - paradex
        - tron
        - fuel
        - bitcoin
        - hyperliquid
      type: string
    ApiResponseListNetworkWithTokensModel:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          type: array
          items:
            $ref: '#/components/schemas/NetworkWithTokensModel'
          nullable: true
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    NetworkWithTokensModel:
      type: object
      properties:
        name:
          type: string
        display_name:
          type: string
        logo:
          type: string
        chain_id:
          type: string
          nullable: true
        node_url:
          type: string
          nullable: true
        nodes:
          type: array
          items:
            type: string
          nullable: true
        type:
          $ref: '#/components/schemas/NetworkType'
        transaction_explorer_template:
          type: string
        account_explorer_template:
          type: string
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        token:
          $ref: '#/components/schemas/TokenModel'
        metadata:
          $ref: '#/components/schemas/NetworkMetadata'
        deposit_methods:
          type: array
          items:
            type: string
          nullable: true
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/TokenModel'
      additionalProperties: false
    TokenModel:
      type: object
      properties:
        symbol:
          type: string
        display_asset:
          type: string
        logo:
          type: string
        contract:
          type: string
          nullable: true
        decimals:
          type: integer
          format: int32
        price_in_usd:
          type: number
          format: double
        precision:
          type: number
          format: double
        listing_date:
          type: string
          format: date-time
        source_rank:
          type: integer
          format: int32
        destination_rank:
          type: integer
          format: int32
        group:
          type: string
          nullable: true
      additionalProperties: false
    NetworkMetadata:
      type: object
      properties:
        listing_date:
          type: string
          format: date-time
        evm_oracle_contract:
          type: string
          nullable: true
        evm_multicall_contract:
          type: string
          nullable: true
        zks_paymaster_contract:
          type: string
          nullable: true
        watchdog_contract:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````